%define upstream_name	 Parse-Yapp
%define upstream_version 1.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 8

Summary:	Fully reentrant perl OO LALR(1) parser creator
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%upstream_name/
Source0:	%{upstream_name}-%{upstream_version}.tar.bz2

BuildArch:	noarch


%description
The Parse::Yapp module enables to create Perl OO fully reentrant
LALR(1) parser modules (see the Yapp.pm pod pages for more details)
and has been designed to be functionally as close as possible to yacc,
but using the full power of Perl and open to enhancements.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
find -type f | xargs chmod 644
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files
%doc README Changes
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/Parse

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.50.0-8.mga6
+ Revision: 1031798
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.50.0-7.mga6
+ Revision: 930754
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.50.0-6.mga5
+ Revision: 741377
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.50.0-5.mga5
+ Revision: 685902
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.50.0-4.mga4
+ Revision: 513984
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.50.0-3.mga3
+ Revision: 371542
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 1.50.0-2.mga1
+ Revision: 26825
- mageia rebuild
- imported package perl-Parse-Yapp


* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 1.50.0-2mdv2011.0
+ Revision: 564826
- rebuild for perl 5.12.1

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.50.0-1mdv2010.0
+ Revision: 407957
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.05-10mdv2009.1
+ Revision: 351772
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.05-9mdv2009.0
+ Revision: 223952
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.05-8mdv2008.1
+ Revision: 136330
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Apr 29 2007 Olivier Thauvin <nanardon@mandriva.org> 1.05-8mdv2008.0
+ Revision: 19237
- rebuild


* Mon Feb 13 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.05-7mdk
- Rebuild and cleanup

* Thu Aug 14 2003 Per yvind Karlsen <peroyvind@linux-mandrake.com> 1.05-6mdk
- rebuild for new perl
- drop $RPM_OPT_FLAGS, noarch..
- use %%makeinstall_std macro

* Tue May 27 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.05-5mdk
- rebuild for new auto{prov,req}

